# -*- coding: utf-8 -*-
# Generated by Django 1.9.13 on 2017-10-16 22:55
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


def get_template_choices():
    return settings.BLOCKS_SLIDER_TEMPLATES


def get_template_default():
    return settings.BLOCKS_SLIDER_TEMPLATES[0][0]


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('cms', '0016_auto_20160608_1535'),
    ]

    operations = [
        migrations.CreateModel(
            name='Banner',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='cmsplugin_blocks_banner', serialize=False, to='cms.CMSPlugin')),
                ('background', models.ImageField(default=None, max_length=255, null=True, upload_to='blocks/banner/%y/%m', verbose_name='Background image')),
                ('content', models.TextField(default='', verbose_name='Content')),
            ],
            options={
                'verbose_name_plural': 'Banners',
                'verbose_name': 'Banner',
            },
            bases=('cms.cmsplugin',),
        ),
        migrations.CreateModel(
            name='Diptych',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='cmsplugin_blocks_diptych', serialize=False, to='cms.CMSPlugin')),
                ('alignment', models.CharField(choices=[('left', 'Content to the left, image to the right'), ('right', 'Image to the left, content to the reft')], default='left', max_length=15, verbose_name='Alignment')),
                ('background', models.ImageField(default=None, max_length=255, null=True, upload_to='blocks/diptych/%y/%m', verbose_name='Background image')),
                ('content', models.TextField(default='', verbose_name='Content')),
            ],
            options={
                'verbose_name_plural': 'Diptychs',
                'verbose_name': 'Diptych',
            },
            bases=('cms.cmsplugin',),
        ),
        migrations.CreateModel(
            name='SlideItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('background', models.ImageField(default=None, max_length=255, null=True, upload_to='blocks/slider/%y/%m', verbose_name='Background image')),
                ('content', models.TextField(default='', verbose_name='Content')),
                ('link_name', models.CharField(blank=True, max_length=45, verbose_name='link name')),
                ('link_url', models.CharField(blank=True, max_length=255, verbose_name='link url')),
                ('link_open_blank', models.BooleanField(default=False, help_text='If checked the link will be open in a new window', verbose_name='open new window')),
            ],
        ),
        migrations.CreateModel(
            name='Slider',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='cmsplugin_blocks_slider', serialize=False, to='cms.CMSPlugin')),
                ('title', models.CharField(default='', max_length=50, verbose_name='title')),
                ('template', models.CharField(blank=True, choices=get_template_choices(), default=get_template_default(), help_text='Used template for content look.', max_length=100, verbose_name='model')),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin',),
        ),
        migrations.AddField(
            model_name='slideitem',
            name='slider',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='slide_item', to='cmsplugin_blocks.Slider'),
        ),
    ]
